com.mysql.cj.log

## Class StandardLogger

- java.lang.Object
- - com.mysql.cj.log.StandardLogger

All Implemented Interfaces:
  Log

    public class StandardLogger
    extends Object
    implements Log

Provides logging facilities for those platforms that don't have built-in facilities. Simply logs messages to STDERR.

### Field Summary

Fields
`private static int` `DEBUG`
`private static int` `ERROR`
`private static int` `FATAL`
`private static int` `INFO`
`private boolean` `logLocationInfo`
`private static int` `TRACE`
`private static int` `WARN`

### Fields inherited from interface com.mysql.cj.log.Log

`LOGGER_INSTANCE_NAME`

### Constructor Summary

Constructors
`StandardLogger(String name)` Creates a new StandardLogger object.
`StandardLogger(String name, boolean logLocationInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDebugEnabled()` Is the 'debug' log level enabled?
`boolean` `isErrorEnabled()` Is the 'error' log level enabled?
`boolean` `isFatalEnabled()` Is the 'fatal' log level enabled?
`boolean` `isInfoEnabled()` Is the 'info' log level enabled?
`boolean` `isTraceEnabled()` Is the 'trace' log level enabled?
`boolean` `isWarnEnabled()` Is the 'warn' log level enabled?
`void` `logDebug(Object message)` Logs the given message instance using the 'debug' level
`void` `logDebug(Object message, Throwable exception)` Logs the given message and Throwable at the 'debug' level.
`void` `logError(Object message)` Logs the given message instance using the 'error' level
`void` `logError(Object message, Throwable exception)` Logs the given message and Throwable at the 'error' level.
`void` `logFatal(Object message)` Logs the given message instance using the 'fatal' level
`void` `logFatal(Object message, Throwable exception)` Logs the given message and Throwable at the 'fatal' level.
`void` `logInfo(Object message)` Logs the given message instance using the 'info' level
`void` `logInfo(Object message, Throwable exception)` Logs the given message and Throwable at the 'info' level.
`protected String` `logInternal(int level, Object msg, Throwable exception)`
`void` `logTrace(Object message)` Logs the given message instance using the 'trace' level
`void` `logTrace(Object message, Throwable exception)` Logs the given message and Throwable at the 'trace' level.
`void` `logWarn(Object message)` Logs the given message instance using the 'warn' level
`void` `logWarn(Object message, Throwable exception)` Logs the given message and Throwable at the 'warn' level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FATAL

    private static final int FATAL

See Also:
  Constant Field Values

#### ERROR

    private static final int ERROR

See Also:
  Constant Field Values

#### WARN

    private static final int WARN

See Also:
  Constant Field Values

#### INFO

    private static final int INFO

See Also:
  Constant Field Values

#### DEBUG

    private static final int DEBUG

See Also:
  Constant Field Values

#### TRACE

    private static final int TRACE

See Also:
  Constant Field Values

#### logLocationInfo

    private boolean logLocationInfo

### Constructor Detail

#### StandardLogger

    public StandardLogger(String name)

Creates a new StandardLogger object.

Parameters:
  `name` - the name of the configuration to use -- ignored

#### StandardLogger

    public StandardLogger(String name,
                          boolean logLocationInfo)

Parameters:
  `name` - the name of the configuration to use -- ignored
  `logLocationInfo` - logLocationInfo

### Method Detail

#### isDebugEnabled

    public boolean isDebugEnabled()

Description copied from interface: `Log`
Is the 'debug' log level enabled?

Specified by:
  `isDebugEnabled` in interface `Log`
Returns:
  true if so.

#### isErrorEnabled

    public boolean isErrorEnabled()

Description copied from interface: `Log`
Is the 'error' log level enabled?

Specified by:
  `isErrorEnabled` in interface `Log`
Returns:
  true if so.

#### isFatalEnabled

    public boolean isFatalEnabled()

Description copied from interface: `Log`
Is the 'fatal' log level enabled?

Specified by:
  `isFatalEnabled` in interface `Log`
Returns:
  true if so.

#### isInfoEnabled

    public boolean isInfoEnabled()

Description copied from interface: `Log`
Is the 'info' log level enabled?

Specified by:
  `isInfoEnabled` in interface `Log`
Returns:
  true if so.

#### isTraceEnabled

    public boolean isTraceEnabled()

Description copied from interface: `Log`
Is the 'trace' log level enabled?

Specified by:
  `isTraceEnabled` in interface `Log`
Returns:
  true if so.

#### isWarnEnabled

    public boolean isWarnEnabled()

Description copied from interface: `Log`
Is the 'warn' log level enabled?

Specified by:
  `isWarnEnabled` in interface `Log`
Returns:
  true if so.

#### logDebug

    public void logDebug(Object message)

Logs the given message instance using the 'debug' level

Specified by:
  `logDebug` in interface `Log`
Parameters:
  `message` - the message to log

#### logDebug

    public void logDebug(Object message,
                         Throwable exception)

Logs the given message and Throwable at the 'debug' level.

Specified by:
  `logDebug` in interface `Log`
Parameters:
  `message` - the message to log
  `exception` - the throwable to log (may be null)

#### logError

    public void logError(Object message)

Logs the given message instance using the 'error' level

Specified by:
  `logError` in interface `Log`
Parameters:
  `message` - the message to log

#### logError

    public void logError(Object message,
                         Throwable exception)

Logs the given message and Throwable at the 'error' level.

Specified by:
  `logError` in interface `Log`
Parameters:
  `message` - the message to log
  `exception` - the throwable to log (may be null)

#### logFatal

    public void logFatal(Object message)

Logs the given message instance using the 'fatal' level

Specified by:
  `logFatal` in interface `Log`
Parameters:
  `message` - the message to log

#### logFatal

    public void logFatal(Object message,
                         Throwable exception)

Logs the given message and Throwable at the 'fatal' level.

Specified by:
  `logFatal` in interface `Log`
Parameters:
  `message` - the message to log
  `exception` - the throwable to log (may be null)

#### logInfo

    public void logInfo(Object message)

Logs the given message instance using the 'info' level

Specified by:
  `logInfo` in interface `Log`
Parameters:
  `message` - the message to log

#### logInfo

    public void logInfo(Object message,
                        Throwable exception)

Logs the given message and Throwable at the 'info' level.

Specified by:
  `logInfo` in interface `Log`
Parameters:
  `message` - the message to log
  `exception` - the throwable to log (may be null)

#### logTrace

    public void logTrace(Object message)

Logs the given message instance using the 'trace' level

Specified by:
  `logTrace` in interface `Log`
Parameters:
  `message` - the message to log

#### logTrace

    public void logTrace(Object message,
                         Throwable exception)

Logs the given message and Throwable at the 'trace' level.

Specified by:
  `logTrace` in interface `Log`
Parameters:
  `message` - the message to log
  `exception` - the throwable to log (may be null)

#### logWarn

    public void logWarn(Object message)

Logs the given message instance using the 'warn' level

Specified by:
  `logWarn` in interface `Log`
Parameters:
  `message` - the message to log

#### logWarn

    public void logWarn(Object message,
                        Throwable exception)

Logs the given message and Throwable at the 'warn' level.

Specified by:
  `logWarn` in interface `Log`
Parameters:
  `message` - the message to log
  `exception` - the throwable to log (may be null)

#### logInternal

    protected String logInternal(int level,
                                 Object msg,
                                 Throwable exception)

Copyright © 2016, 2025, Oracle and/or its affiliates.